hbase-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From bus...@apache.org
Subject [4/5] hbase git commit: HBASE-16124 Make check_compatibility.sh less verbose when building HBase
Date Fri, 01 Jul 2016 03:57:09 GMT
HBASE-16124 Make check_compatibility.sh less verbose when building HBase

Signed-off-by: Sean Busbey <busbey@apache.org>


Project: http://git-wip-us.apache.org/repos/asf/hbase/repo
Commit: http://git-wip-us.apache.org/repos/asf/hbase/commit/f57b7c5c
Tree: http://git-wip-us.apache.org/repos/asf/hbase/tree/f57b7c5c
Diff: http://git-wip-us.apache.org/repos/asf/hbase/diff/f57b7c5c

Branch: refs/heads/branch-1.1
Commit: f57b7c5c22cb4a61de3e4afe0f2b2544000082f1
Parents: d50944e
Author: Dima Spivak <dspivak@cloudera.com>
Authored: Mon Jun 27 11:29:23 2016 -0700
Committer: Sean Busbey <busbey@apache.org>
Committed: Thu Jun 30 22:56:16 2016 -0500

----------------------------------------------------------------------
 dev-support/check_compatibility.sh | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/hbase/blob/f57b7c5c/dev-support/check_compatibility.sh
----------------------------------------------------------------------
diff --git a/dev-support/check_compatibility.sh b/dev-support/check_compatibility.sh
index 182cea7..249124d 100755
--- a/dev-support/check_compatibility.sh
+++ b/dev-support/check_compatibility.sh
@@ -190,7 +190,7 @@ for ref in 1 2; do
       exit 2
     fi
     echo "Building ${COMMIT[${ref}]}..."
-    if ! mvn clean package -DskipTests; then
+    if ! mvn clean package --batch-mode -DskipTests; then
       echo "Maven could not successfully package ${COMMIT[${ref}]}. Exiting..." >&2
       exit 2
     fi
@@ -211,7 +211,7 @@ for ref in 1 2; do
         pushd ${SCRIPT_DIRECTORY}/target/compatibility/${ref} > /dev/null
         echo "The --no-checkout option was specified, but no JARs were found." \
             "Attempting to build ${COMMIT[${ref}]}..."
-        if ! mvn clean package -DskipTests; then
+        if ! mvn clean package --batch-mode -DskipTests; then
           echo "Maven could not successfully package ${COMMIT[${ref}]}. Exiting..." >&2
           exit 2
         fi


Mime
View raw message